Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.accounts.get_user_accounts()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetUserAccountsResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetUserAccountsResponse res = sdk.users().getAccounts()
.call();
if (res.getAccountsResponse().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/users/me/accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/users/me/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"id": 123,
"fdid": "<string>",
"apex_id": "<string>",
"apex_account_id": "<string>",
"sterling_account_id": "<string>",
"status": "<string>",
"apex_status": "<string>",
"is_sim": true,
"primary_user_id": 123,
"account_number": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Users
Get User Accounts
Retrieve all trading accounts for the currently authenticated user
GET
/
v1
/
users
/
me
/
accounts
Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.accounts.get_user_accounts()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetUserAccountsResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetUserAccountsResponse res = sdk.users().getAccounts()
.call();
if (res.getAccountsResponse().isPresent()) {
// handle response
}
}
}Was this page helpful?
⌘I